const VnObject = require('./object');

module.exports = new Class({
	Extends: VnObject

	,doc: null
	
	,initialize(props) {
		this.doc = document;
		this.parent(props);
	}
	
	,createElement(tagName) {
		return this.doc.createElement(tagName);
	}
	
	,createTextNode(text) {
		return this.doc.createTextNode(text);
	}
	
	,render() {}
});

